解决android 2.x版本pptp vpn不能连接的问题

手里有个LG p350手机,刷机后系统为2.3.7,始终无法vpn,无论是pptp还是openvpn,当然这还得怪我这个有洁癖,什么都喜欢用原生态,手机也是,非得刷原生态ROM,vpn也只喜欢用系统自带的。

好吧,少话废话,直接上android 2.x版本pptp vpn连接的上,却无法访问网络的的解决方法。原因就出在服务端的配置ppp-options文件上,直接注销“require-mppe-128”这个选项,然后在手机里去掉“启用加密”的勾选。OK,再看看,已经连接上,而且也能访问网络了。

如果是android 4.x,最后是把这项打开,手机上也选上“启用加密”。呵呵……

张贴在<a href="http://www.shaogroup.com/category/linux" rel="category tag">菜鸟Linux笔记</a> 标签:<a href="http://www.shaogroup.com/tag/android" rel="tag">android</a>、<a href="http://www.shaogroup.com/tag/pptp-vpn" rel="tag">pptp-vpn</a>、<a href="http://www.shaogroup.com/tag/pptpd" rel="tag">pptpd</a>、<a href="http://www.shaogroup.com/tag/vpn" rel="tag">vpn</a> 发表回复